OPENSSL-RAND(1SSL)

BEZEICHNUNG
openssl-rand - Pseudozufällige Bytes erzeugen

ÜBERSICHT
openssl rand [-help] [-out Datei] [-base64] [-hex] [-engine id] [-rand Dateien] [-writerand Datei] [-provider Name] [-provider-path Pfad] [-provparam [Name:]Schlüssel=Wert] [-propquery anba] Anzahl[K|M|G|T]

BESCHREIBUNG
Dieser Befehl erstellt Anzahl zufällige Byte mittels eines sicheren kryptographischen Pseudozufallszahlengenerators (CSPRNG). Es kann eine Endung [K|M|G|T] an die Anzahl angehängt werden, damit der erbetene Wert um ein Vielfaches von KiB, MiB, GiB bzw. TiB skaliert wird. Beachten Sie, dass bei den Endungen die Groß-/Kleinschreibung relevant ist und dass die Endungen binäre Vielfache darstellen (K = 1024 byte, M = 1024*1024 byte usw.).

Statt eines numerischen Wertes in Anzahl kann auch die Zeichenkette »max« angegeben werden, um die maximale Anzahl an Byte, die der CSPRNG pro Instanziierung erstellen kann, zu erbitten. Derzeit ist dies auf 2^61 byte gemäß NIST SP 800-90C beschränkt.

Die zufälligen Bytes werden mit der Funktion RAND_bytes(3) erstellt. Dieses stellt ein Sicherheitsniveau von 256 bit bereit, sofern der Zufallsstartwert erfolgreich von einer vertrauenswürdigen Entropie-Quelle des Betriebssystems initialisiert werden konnte. Andernfalls schlägt der Befehl mit einem von Null verschiedenen Fehlercode fehl. Weitere Details finden Sie in RAND_bytes(3), RAND(7) und EVP_RAND(7).

OPTIONEN

-help
    Gibt einen Hinweis zur Verwendung aus.

-out Datei
    Schreibt in Datei anstelle der Standardausgabe.

-base64
    Kodiert die Ausgabe mit Base64.

-hex
    Zeigt die Ausgabe als hexadezimale Zeichenkette.

-engine id
    Weitere Informationen finden Sie in »Engine Options« in openssl(1). Diese Option ist veraltet.

-rand Dateien, -writerand Datei
    Weitere Informationen finden Sie in »Random State Options« in openssl(1).

-provider Name
-provider-path Pfad
-provparam [Name:]Schlüssel=Wert
-propquery anba
    Weitere Informationen finden Sie in »Provider Options« in openssl(1), provider(7) und property(7).

SIEHE AUCH
openssl(1), RAND_bytes(3), RAND(7), EVP_RAND(7)

GESCHICHTE
Die Option -engine wurde in OpenSSL 3.0 als veraltet markiert.

COPYRIGHT
Copyright 2000-2021 Die OpenSSL Projekt-Autoren. Alle Rechte vorbehalten.

Lizenziert under der Apache License 2.0 (der »Lizenz«). Sie dürfen diese Datei nur verwenden, wenn Sie der Lizenz folgen. Sie können eine Kopie der Lizenz in der Datei LICENSE in der Quelldistribution finden oder unter <https://www.openssl.org/source/license.html>.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).